/* Creation date: 11/15/2016 2:20:56 PM */

/* --------------------------------------------------------------------------------------------------------------------- */
%let DataDir = C:\...;
%let DataFile = School_mex_pisa15;
libname DataLib "&DataDir";

proc format;

value RESPRES
. = "Missing"
999999999995 = "Valid Skip"
.V = "Valid Skip"
999999999996 = "Not Reached"
.R = "Not Reached"
999999999997 = "Not Applicable"
.N = "Not Applicable"
999999999998 = "Invalid"
.I = "Invalid"
999999999999 = "No Response"
.M = "No Response"
;
value STRATIO
. = "Missing"
99999995 = "Valid Skip"
.V = "Valid Skip"
99999996 = "Not Reached"
.R = "Not Reached"
99999997 = "Not Applicable"
.N = "Not Applicable"
99999998 = "Invalid"
.I = "Invalid"
99999999 = "No Response"
.M = "No Response"
;
value TOTST
. = "Missing"
9999995 = "Valid Skip"
.V = "Valid Skip"
9999996 = "Not Reached"
.R = "Not Reached"
9999997 = "Not Applicable"
.N = "Not Applicable"
9999998 = "Invalid"
.I = "Invalid"
9999999 = "No Response"
.M = "No Response"
;
value SCHAUT
. = "Missing"
999995 = "Valid Skip"
.V = "Valid Skip"
999996 = "Not Reached"
.R = "Not Reached"
999997 = "Not Applicable"
.N = "Not Applicable"
999998 = "Invalid"
.I = "Invalid"
999999 = "No Response"
.M = "No Response"
;
value SC019Q03NA02F
. = "Missing"
99995 = "Valid Skip"
.V = "Valid Skip"
99996 = "Not Reached"
.R = "Not Reached"
99997 = "Not Applicable"
.N = "Not Applicable"
99998 = "Invalid"
.I = "Invalid"
99999 = "No Response"
.M = "No Response"
;
value SC064Q04NA
. = "Missing"
995 = "Valid Skip"
.V = "Valid Skip"
996 = "Not Reached"
.R = "Not Reached"
997 = "Not Applicable"
.N = "Not Applicable"
998 = "Invalid"
.I = "Invalid"
999 = "No Response"
.M = "No Response"
;
value TEACHPART
. = "Missing"
95 = "Valid Skip"
.V = "Valid Skip"
96 = "Not Reached"
.R = "Not Reached"
97 = "Not Applicable"
.N = "Not Applicable"
98 = "Invalid"
.I = "Invalid"
99 = "No Response"
.M = "No Response"
;
value SC010Q12TE
. = "Missing"
0 = "Not checked"
1 = "Checked"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value LANGTEST
. = "Missing"
113 = "Indonesian"
118 = "Romanian"
121 = "Estonian"
130 = "Georgian"
140 = "Albanian"
141 = "Bokml"
148 = "German"
156 = "Spanish"
160 = "Catalan"
170 = "Slovak"
200 = "Italian"
204 = "Malay"
232 = "Portuguese"
244 = "Czech"
264 = "Danish"
266 = "Croatian"
273 = "Polish"
275 = "Kazakh"
286 = "Japanese"
301 = "Korean"
313 = "English"
316 = "Chinese"
317 = "Serbian"
322 = "Dutch"
325 = "Latvian"
329 = "Vietnamese"
344 = "Turkish"
351 = "Bulgarian"
369 = "Azeri"
375 = "Lithuanian"
379 = "Welsh"
404 = "Faroese"
409 = "Maltese"
420 = "Finnish"
422 = "Hebrew"
434 = "Irish"
442 = "Slovenian"
449 = "Greek"
451 = "Basque"
467 = "Icelandic"
474 = "Galician"
492 = "Macedonian"
493 = "French"
494 = "Swedish"
495 = "Russian"
496 = "Hungarian"
500 = "Arabic"
513 = "Nynorsk"
555 = "Thai"
608 = "Valencian"
622 = "Serb (Yekavian)"
994 = "Slovenian ISCED2"
995 = "Estonian for Russian Schools"
996 = "Not Reached"
.R = "Not Reached"
997 = "Not Applicable"
.N = "Not Applicable"
998 = "Invalid"
.I = "Invalid"
999 = "No Response"
.M = "No Response"
;
value SC063Q09NA
. = "Missing"
1 = "Yes"
2 = "No"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC061Q10TA
. = "Missing"
1 = "Not at all"
2 = "Very little"
3 = "To some extent"
4 = "A lot"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC001Q01TA
. = "Missing"
1 = "A village, hamlet or rural area (fewer than 3 000 people)"
2 = "A small town (3 000 to about 15 000 people)"
3 = "A town (15 000 to about 100 000 people)"
4 = "A city (100 000 to about 1 000 000 people)"
5 = "A large city (with over 1 000 000 people)"
95 = "Valid Skip"
.V = "Valid Skip"
96 = "Not Reached"
.R = "Not Reached"
97 = "Not Applicable"
.N = "Not Applicable"
98 = "Invalid"
.I = "Invalid"
99 = "No Response"
.M = "No Response"
;
value SC003Q01TA
. = "Missing"
1 = "15 students or fewer"
2 = "16-20 students"
3 = "21-25 students"
4 = "26-30 students"
5 = "31-35 students"
6 = "36-40 students"
7 = "41-45 students"
8 = "46-50 students"
9 = "More than 50 students"
95 = "Valid Skip"
.V = "Valid Skip"
96 = "Not Reached"
.R = "Not Reached"
97 = "Not Applicable"
.N = "Not Applicable"
98 = "Invalid"
.I = "Invalid"
99 = "No Response"
.M = "No Response"
;
value SC009Q13TA
. = "Missing"
1 = "Did not occur"
2 = "1-2 times during the year"
3 = "3-4 times during the year"
4 = "Once a month"
5 = "Once a week"
6 = "More than once a week"
95 = "Valid Skip"
.V = "Valid Skip"
96 = "Not Reached"
.R = "Not Reached"
97 = "Not Applicable"
.N = "Not Applicable"
98 = "Invalid"
.I = "Invalid"
99 = "No Response"
.M = "No Response"
;
value SC012Q07TA
. = "Missing"
1 = "Never"
2 = "Sometimes"
3 = "Always"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC013Q01TA
. = "Missing"
1 = "A public school"
2 = "A private school"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC014Q01NA
. = "Missing"
1 = "A church or other religious organisation"
2 = "Another not-for-profit organisation"
3 = "A for-profit organisation"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC034Q04TA
. = "Missing"
1 = "Never"
2 = "1-2 times a year"
3 = "3-5 times a year"
4 = "Monthly"
5 = "More than once a month"
95 = "Valid Skip"
.V = "Valid Skip"
96 = "Not Reached"
.R = "Not Reached"
97 = "Not Applicable"
.N = "Not Applicable"
98 = "Invalid"
.I = "Invalid"
99 = "No Response"
.M = "No Response"
;
value SC037Q10NA
. = "Missing"
1 = "Yes, this is mandatory, e.g. based on district or ministry policies"
2 = "Yes, based on school initiative"
3 = "No"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC040Q17NA
. = "Missing"
1 = "Yes"
2 = "No, because results were satisfactory"
3 = "No for other reasons"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value SC042Q02TA
. = "Missing"
1 = "For all subjects"
2 = "For some subjects"
3 = "Not for any subjects"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value ADMINMODE
. = "Missing"
1 = "Paper"
2 = "Computer"
;
value CNTRYID
. = "Missing"
484 = "Mexico"
;
value $CNT
" " = "Missing"
"MEX" = "Mexico"
"ZZZ" = "International Master"
;
value SCHLTYPE
. = "Missing"
1 = "Private Independent"
2 = "Private Government-dependent"
3 = "Public"
5 = "Valid Skip"
.V = "Valid Skip"
6 = "Not Reached"
.R = "Not Reached"
7 = "Not Applicable"
.N = "Not Applicable"
8 = "Invalid"
.I = "Invalid"
9 = "No Response"
.M = "No Response"
;
value $SUBNATIO
" " = "Missing"
"4840000" = "Mexico"

;
value $SC053D11TA
" " = "Missing"
"0484001" = "Mexico : related economic activities (p. eg., entrepreneurial projects, labor relationship, etc.) projects - Yes"
"0484002" = "Mexico : related economic activities (p. eg., entrepreneurial projects, labor relationship, etc.) projects - No"
"9999997" = "N\A"
"9999998" = "Invalid"
"9999999" = "No Response"
;
value $STRATUM
" " = "Missing"

"MEX0001" = "MEX - stratum 01: Lower Secondary \ Large"
"MEX0002" = "MEX - stratum 02: Lower Secondary \ Moderately Small"
"MEX0003" = "MEX - stratum 03: Lower Secondary \ Small"
"MEX0004" = "MEX - stratum 04: Upper Secondary \ Large"
"MEX0005" = "MEX - stratum 05: Upper Secondary \ Moderately Small"
"MEX0006" = "MEX - stratum 06: Upper Secondary \ Small"
"MEX9797" = "Undisclosed STRATUM - Mexico"
;
value OECD
. = "Missing"
0 = "No"
1 = "Yes"
2 = "Not Applicable"
.N = "Not Applicable"
;
value Region
. = "Missing"
048400 = "Mexico"
;
value $NatCen
" " = "Missing"
"048400" = "Mexico"
;
value ModalidadF
1 = "Secundaria General"
2 = "Secundaria Tcnica"
3 = "Telesecundaria"
4 = "Bachillerato General"
5 = "Bachillerato Tecnolgico"
6 = "Profesional Tcnico" ;

   value NivelF
1 ="Secundaria"
2 ="Educacin Media Superior";

	value SostenimientoF
1 ="Pblico"
2 ="Privado";

run; quit;

/*BEGIN*/

data &DataFile;
set DataLib.&DataFile;
format
RESPRES RESPRES.
RESPCUR RESPRES.
CREACTIV RESPRES.
STRATIO STRATIO.
SCHSIZE STRATIO.
RATCMP2 STRATIO.
RATCMP1 STRATIO.
TOTST TOTST.
TOTAT TOTST.
TEACHBEHA TOTST.
STUBEHA TOTST.
STAFFSHORT TOTST.
PROSTMAS TOTST.
PROSTCE TOTST.
PROSTAT TOTST.
PROATCE TOTST.
PROAT6 TOTST.
PROAT5AM TOTST.
PROAT5AB TOTST.
LEADTCH TOTST.
LEADPD TOTST.
LEADINST TOTST.
LEADCOM TOTST.
LEAD TOTST.
EDUSHORT TOTST.
SCHAUT SCHAUT.
SC019Q03NA02 SC019Q03NA02F.
SC019Q03NA01 SC019Q03NA02F.
SC019Q02NA02 SC019Q03NA02F.
SC019Q02NA01 SC019Q03NA02F.
SC019Q01NA02 SC019Q03NA02F.
SC019Q01NA01 SC019Q03NA02F.
SC018Q07NA02 SC019Q03NA02F.
SC018Q07NA01 SC019Q03NA02F.
SC018Q06NA02 SC019Q03NA02F.
SC018Q06NA01 SC019Q03NA02F.
SC018Q05NA02 SC019Q03NA02F.
SC018Q05NA01 SC019Q03NA02F.
SC018Q02TA02 SC019Q03NA02F.
SC018Q02TA01 SC019Q03NA02F.
SC018Q01TA02 SC019Q03NA02F.
SC018Q01TA01 SC019Q03NA02F.
SC004Q07NA SC019Q03NA02F.
SC004Q06NA SC019Q03NA02F.
SC004Q05NA SC019Q03NA02F.
SC004Q04NA SC019Q03NA02F.
SC004Q03TA SC019Q03NA02F.
SC004Q02TA SC019Q03NA02F.
SC004Q01TA SC019Q03NA02F.
SC002Q02TA SC019Q03NA02F.
SC002Q01TA SC019Q03NA02F.
SC064Q04NA SC064Q04NA.
SC064Q03TA SC064Q04NA.
SC064Q02TA SC064Q04NA.
SC064Q01TA SC064Q04NA.
SC048Q03NA SC064Q04NA.
SC048Q02NA SC064Q04NA.
SC048Q01NA SC064Q04NA.
SC025Q02NA SC064Q04NA.
SC025Q01NA SC064Q04NA.
SC016Q04TA SC064Q04NA.
SC016Q03TA SC064Q04NA.
SC016Q02TA SC064Q04NA.
SC016Q01TA SC064Q04NA.
TEACHPART TEACHPART.
SCIERES TEACHPART.
CLSIZE TEACHPART.
SC010Q12TE SC010Q12TE.
SC010Q12TD SC010Q12TE.
SC010Q12TC SC010Q12TE.
SC010Q12TB SC010Q12TE.
SC010Q12TA SC010Q12TE.
SC010Q11TE SC010Q12TE.
SC010Q11TD SC010Q12TE.
SC010Q11TC SC010Q12TE.
SC010Q11TB SC010Q12TE.
SC010Q11TA SC010Q12TE.
SC010Q10TE SC010Q12TE.
SC010Q10TD SC010Q12TE.
SC010Q10TC SC010Q12TE.
SC010Q10TB SC010Q12TE.
SC010Q10TA SC010Q12TE.
SC010Q09TE SC010Q12TE.
SC010Q09TD SC010Q12TE.
SC010Q09TC SC010Q12TE.
SC010Q09TB SC010Q12TE.
SC010Q09TA SC010Q12TE.
SC010Q08TE SC010Q12TE.
SC010Q08TD SC010Q12TE.
SC010Q08TC SC010Q12TE.
SC010Q08TB SC010Q12TE.
SC010Q08TA SC010Q12TE.
SC010Q07TE SC010Q12TE.
SC010Q07TD SC010Q12TE.
SC010Q07TC SC010Q12TE.
SC010Q07TB SC010Q12TE.
SC010Q07TA SC010Q12TE.
SC010Q06TE SC010Q12TE.
SC010Q06TD SC010Q12TE.
SC010Q06TC SC010Q12TE.
SC010Q06TB SC010Q12TE.
SC010Q06TA SC010Q12TE.
SC010Q05TE SC010Q12TE.
SC010Q05TD SC010Q12TE.
SC010Q05TC SC010Q12TE.
SC010Q05TB SC010Q12TE.
SC010Q05TA SC010Q12TE.
SC010Q04TE SC010Q12TE.
SC010Q04TD SC010Q12TE.
SC010Q04TC SC010Q12TE.
SC010Q04TB SC010Q12TE.
SC010Q04TA SC010Q12TE.
SC010Q03TE SC010Q12TE.
SC010Q03TD SC010Q12TE.
SC010Q03TC SC010Q12TE.
SC010Q03TB SC010Q12TE.
SC010Q03TA SC010Q12TE.
SC010Q02TE SC010Q12TE.
SC010Q02TD SC010Q12TE.
SC010Q02TC SC010Q12TE.
SC010Q02TB SC010Q12TE.
SC010Q02TA SC010Q12TE.
SC010Q01TE SC010Q12TE.
SC010Q01TD SC010Q12TE.
SC010Q01TC SC010Q12TE.
SC010Q01TB SC010Q12TE.
SC010Q01TA SC010Q12TE.
LANGTEST LANGTEST.
SC063Q09NA SC063Q09NA.
SC063Q07NA SC063Q09NA.
SC063Q06NA SC063Q09NA.
SC063Q04NA SC063Q09NA.
SC063Q03NA SC063Q09NA.
SC063Q02NA SC063Q09NA.
SC059Q08NA SC063Q09NA.
SC059Q07NA SC063Q09NA.
SC059Q06NA SC063Q09NA.
SC059Q05NA SC063Q09NA.
SC059Q04NA SC063Q09NA.
SC059Q03NA SC063Q09NA.
SC059Q02NA SC063Q09NA.
SC059Q01NA SC063Q09NA.
SC053Q10TA SC063Q09NA.
SC053Q09TA SC063Q09NA.
SC053Q08TA SC063Q09NA.
SC053Q07TA SC063Q09NA.
SC053Q06NA SC063Q09NA.
SC053Q05NA SC063Q09NA.
SC053Q04TA SC063Q09NA.
SC053Q03TA SC063Q09NA.
SC053Q02TA SC063Q09NA.
SC053Q01TA SC063Q09NA.
SC052Q02NA SC063Q09NA.
SC052Q01NA SC063Q09NA.
SC041Q06NA SC063Q09NA.
SC041Q05NA SC063Q09NA.
SC041Q04NA SC063Q09NA.
SC041Q03NA SC063Q09NA.
SC041Q01NA SC063Q09NA.
SC036Q03NA SC063Q09NA.
SC036Q02TA SC063Q09NA.
SC036Q01TA SC063Q09NA.
SC035Q11NB SC063Q09NA.
SC035Q11NA SC063Q09NA.
SC035Q10TB SC063Q09NA.
SC035Q10TA SC063Q09NA.
SC035Q09NB SC063Q09NA.
SC035Q09NA SC063Q09NA.
SC035Q08TB SC063Q09NA.
SC035Q08TA SC063Q09NA.
SC035Q07TB SC063Q09NA.
SC035Q07TA SC063Q09NA.
SC035Q06TB SC063Q09NA.
SC035Q06TA SC063Q09NA.
SC035Q05TB SC063Q09NA.
SC035Q05TA SC063Q09NA.
SC035Q04TB SC063Q09NA.
SC035Q04TA SC063Q09NA.
SC035Q03TB SC063Q09NA.
SC035Q03TA SC063Q09NA.
SC035Q02TB SC063Q09NA.
SC035Q02TA SC063Q09NA.
SC035Q01NB SC063Q09NA.
SC035Q01NA SC063Q09NA.
SC032Q04TA SC063Q09NA.
SC032Q03TA SC063Q09NA.
SC032Q02TA SC063Q09NA.
SC032Q01TA SC063Q09NA.
SC027Q04NA SC063Q09NA.
SC027Q03NA SC063Q09NA.
SC027Q02NA SC063Q09NA.
SC027Q01NA SC063Q09NA.
SC061Q10TA SC061Q10TA.
SC061Q09TA SC061Q10TA.
SC061Q08TA SC061Q10TA.
SC061Q07TA SC061Q10TA.
SC061Q06TA SC061Q10TA.
SC061Q05TA SC061Q10TA.
SC061Q04TA SC061Q10TA.
SC061Q03TA SC061Q10TA.
SC061Q02TA SC061Q10TA.
SC061Q01TA SC061Q10TA.
SC017Q08NA SC061Q10TA.
SC017Q07NA SC061Q10TA.
SC017Q06NA SC061Q10TA.
SC017Q05NA SC061Q10TA.
SC017Q04NA SC061Q10TA.
SC017Q03NA SC061Q10TA.
SC017Q02NA SC061Q10TA.
SC017Q01NA SC061Q10TA.
SC001Q01TA SC001Q01TA.
SC003Q01TA SC003Q01TA.
SC009Q13TA SC009Q13TA.
SC009Q12TA SC009Q13TA.
SC009Q11TA SC009Q13TA.
SC009Q10TA SC009Q13TA.
SC009Q09TA SC009Q13TA.
SC009Q08TA SC009Q13TA.
SC009Q07TA SC009Q13TA.
SC009Q06TA SC009Q13TA.
SC009Q05TA SC009Q13TA.
SC009Q04TA SC009Q13TA.
SC009Q03TA SC009Q13TA.
SC009Q02TA SC009Q13TA.
SC009Q01TA SC009Q13TA.
SC012Q07TA SC012Q07TA.
SC012Q06TA SC012Q07TA.
SC012Q05TA SC012Q07TA.
SC012Q04TA SC012Q07TA.
SC012Q03TA SC012Q07TA.
SC012Q02TA SC012Q07TA.
SC012Q01TA SC012Q07TA.
SC013Q01TA SC013Q01TA.
SC014Q01NA SC014Q01NA.
SC034Q04TA SC034Q04TA.
SC034Q03TA SC034Q04TA.
SC034Q02NA SC034Q04TA.
SC034Q01NA SC034Q04TA.
SC037Q10NA SC037Q10NA.
SC037Q09TA SC037Q10NA.
SC037Q08TA SC037Q10NA.
SC037Q07TA SC037Q10NA.
SC037Q06NA SC037Q10NA.
SC037Q05NA SC037Q10NA.
SC037Q04TA SC037Q10NA.
SC037Q03TA SC037Q10NA.
SC037Q02TA SC037Q10NA.
SC037Q01TA SC037Q10NA.
SC040Q17NA SC040Q17NA.
SC040Q16NA SC040Q17NA.
SC040Q15NA SC040Q17NA.
SC040Q12NA SC040Q17NA.
SC040Q11NA SC040Q17NA.
SC040Q05NA SC040Q17NA.
SC040Q03NA SC040Q17NA.
SC040Q02NA SC040Q17NA.
SC042Q02TA SC042Q02TA.
SC042Q01TA SC042Q02TA.
ADMINMODE ADMINMODE.
CNTRYID CNTRYID.
CNT $CNT.
SCHLTYPE SCHLTYPE.
SUBNATIO $SUBNATIO.
SC053D11TA $SC053D11TA.
STRATUM $STRATUM.
OECD OECD.
Region Region.
NatCen $NatCen.
	SC053C11TA_MX SC063Q09NA.
	Nivel NivelF.
	Modalidad ModalidadF.
	Sostenimiento SostenimientoF.
;

run; quit;

/*END*/

